Bug 1292394 - Vnc server should failed to start when specifying -vnc :a in qemu start option
Vnc server should failed to start when specifying -vnc :a in qemu start option
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.8
x86_64 Windows
low Severity low
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 05:15 EST by Guo, Zhiyi
Modified: 2016-01-15 11:16 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 11:16:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guo, Zhiyi 2015-12-17 05:15:13 EST
Description of problem:
Vnc server should failed to start when specifying -vnc :a in qemu start option

Version-Release number of selected component (if applicable):
kernel: 2.6.32-593.el6.x86_64
qemu:qemu-kvm-0.12.1.2-2.482.el6.x86_64
virt-viewer:virt-viewer-2.0-6.el7.x86_64
qxlwddm: qxlwddm-0.1-12

How reproducible:


Steps to Reproduce:
1.Launch vm with command:
qemu-kvm -name win10x64 -m 8G -machine pc,accel=kvm\
        -cpu SandyBridge\
        -smp 8 \
        -name win10 \
        -uuid 990ea161-6b67-47b2-b803-19fb01d30d12 \
        -device virtio-serial -chardev spicevmc,id=vdagent,debug=0,name=vdagent \
        -vnc :a \
        -serial unix:/tmp/m,server,nowait \
        -device virtserialport,chardev=vdagent,name=com.redhat.spice.0 \
        -vga qxl \
        -cdrom /usr/share/virtio-win/virtio-win-1.7.5.iso \
        -drive file=/home/storage/win10-1.qcow2,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0 -device scsi-hd,drive=drive-scsi-disk0,bus=scsi0.0,scsi-id=0,lun=0,id=scsi-disk0,bootindex=1 \
        -monitor stdio \

Actual results:
Guest launch successfully. Info vnc from monitor:
QEMU 0.12.1 monitor - type 'help' for more information
(qemu) info vnc
Server:
     address: 0.0.0.0:5900
        auth: none
Client: none


Expected results:
Guest should failed to launch and kindly error info should prompt like:
Failed to start VNC server on `:a': can't convert to a number: a

Additional info:
vnc option should only accept none negative integer and should not over 59635.
Comment 2 Gerd Hoffmann 2016-01-04 07:52:19 EST
Does this happen on RHEL-7 too?
Comment 3 Guo, Zhiyi 2016-01-05 21:56:42 EST
No such issue happen on RHEL 7.2, qemu version: qemu-kvm-rhev-2.3.0-31.el7.x86_64
On qemu-kvm-rhev:
If specify 'vnc :a',qemu-kvm-rhev will prompt: Failed to start VNC server on `:a': can't convert to a number: a
And if specify 'vnc :65535', qemu-kvm-rhev will prompt: Failed to start VNC server on `:65535': port 65535 out of range.
On qemu-kvm-0.12.1.2-2.482.el6.x86_64:
Both 'vnc :a' and 'vnc :65535' accepted by qemu-kvm.
[root@dhcp-11-59 clustering]# qemu-kvm -vnc :a -monitor stdio
QEMU 0.12.1 monitor - type 'help' for more information
(qemu) info vnc
Server:
     address: 0.0.0.0:5900
        auth: none
Client: none
[root@dhcp-11-59 clustering]# qemu-kvm -vnc :65535 -monitor stdio
QEMU 0.12.1 monitor - type 'help' for more information
(qemu) info vnc
Server:
     address: 0.0.0.0:5899
        auth: none
Client: none
Comment 4 Gerd Hoffmann 2016-01-06 02:16:07 EST
> No such issue happen on RHEL 7.2, qemu version:

Good.

Usually we don't backport that kind of minor issues, it just gets fixed upstream and picked up on new releases (and by rebasing too).  The later happened already (RHEL-7 not affected).  Setting low prio for now.  WONTFIX candidate.
Comment 5 Ademar Reis 2016-01-15 11:16:17 EST
(In reply to Gerd Hoffmann from comment #4)
> > No such issue happen on RHEL 7.2, qemu version:
> 
> Good.
> 
> Usually we don't backport that kind of minor issues, it just gets fixed
> upstream and picked up on new releases (and by rebasing too).  The later
> happened already (RHEL-7 not affected).  Setting low prio for now.  WONTFIX
> candidate.

Agree

Note You need to log in before you can comment on or make changes to this bug.